Skip to main content
POST
/
v1
/
video
/
overlay-text
{
  "input": "https://example.com/video.mp4",
  "text": "Hello World",
  "x": 10,
  "y": 10,
  "fontsize": 24
}
curl -X POST https://api.ringbee.dev/v1/video/overlay-text \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4" \
  -F "text=Hello World" \
  -F "x=10" \
  -F "y=10" \
  -F "fontsize=24"
{
  "id": "job_abc123",
  "status": "pending"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
  "input": "https://example.com/video.mp4",
  "text": "Hello World",
  "x": 10,
  "y": 10,
  "fontsize": 24
}
curl -X POST https://api.ringbee.dev/v1/video/overlay-text \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4" \
  -F "text=Hello World" \
  -F "x=10" \
  -F "y=10" \
  -F "fontsize=24"
ParamTypeDescription
textstringText to overlay on the video
xintegerHorizontal position in pixels
yintegerVertical position in pixels
fontsizeintegerFont size in points

Authorizations

X-API-Key
string
header
required

Body

input
string
required

Input file URL

text
string

Text to overlay on the video

x
integer

Horizontal position in pixels

y
integer

Vertical position in pixels

fontsize
integer

Font size in points

webhook_url
string

URL to receive job completion notification

Response

Job accepted

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"pending"